Subject: Re: curl (7.27.0-1), even curl --version, does not work
From: Regid Ichira <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 3 Sep 2012 02:56:08 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

In reference to http://cygwin.com/ml/cygwin/2012-09/msg00015.html
On Sun, 02 Sep 2012 16:36:27 -0500, Yaakov wrote

> On Sun, 2012-09-02 at 13:50 -0700, Regid Ichira wrote: 
> > curl --version is supposed to only print version information.
> > $ curl.exe --version
> > $ printf "$?\n"
> > 127
> > 
> > I tried to strace it.
> > $ strace.exe /usr/bin/curl.exe -V
> > 
> > There was a popup window.  Its translated message was:
> > curl.exe - system error
> > {no entry point found} could not locate the entry point memrchr of
> > the process in the dynamic linked library cygwin1.dll
> 
> Then you don't have the latest version (1.7.16-1) of the 'cygwin'
> package.

  I do have it:
$ cygcheck -c cygwin
Cygwin Package Information
Package              Version        Status
cygwin               1.7.16-1       OK

  Someone wrote, off list, that I could have one, or more, missing
libraries.  He attached the output of 

    cygcheck $(which curl) 

on a working system.  I will have to check further.  It does looks
like there are missing libraries.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple